summaryrefslogtreecommitdiffstats
path: root/source/a/os-prober/os-prober.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/os-prober/os-prober.SlackBuild')
-rwxr-xr-xsource/a/os-prober/os-prober.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/a/os-prober/os-prober.SlackBuild b/source/a/os-prober/os-prober.SlackBuild
index f4c0348db..1098ac6b8 100755
--- a/source/a/os-prober/os-prober.SlackBuild
+++ b/source/a/os-prober/os-prober.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2013, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2013, 2018, 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=os-prober
VERSION=${VERSION:-$(echo $PKGNAM_*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d _ | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -79,6 +79,9 @@ cd $PKGNAM-$VERSION || exit 1
# Don't drop support for reiserfs. It's still in the kernel (for now):
zcat $CWD/os-prober.reiserfs.diff.gz | patch -p1 --verbose || exit 1
+# Fix detecting LVM2 volumes:
+zcat $CWD/os-prober.lvm2.diff.gz | patch -p1 --verbose || exit 1
+
# Edit the scripts to use $LIBDIRSUFFIX=64 if needed:
if [ "$LIBDIRSUFFIX" = "64" ]; then
find -type f -exec sed -i -e 's|usr/lib|usr/lib64|g' {} \;